> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plurex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Leverage

> Get current leverage for a specific market



## OpenAPI

````yaml POST /api/v1/hosts/query/GetMarketLeverage
openapi: 3.1.0
info:
  title: Plurex Platform API
  description: >
    Plurex Platform API uses a Command & Query Separation (CQS) architecture.

    All state-changing operations are 'commands' and read-only operations are
    'queries'.

    Both use HTTP POST with JSON payloads.

    No conformity to REST, all inputs are in the body of the request.
  version: 1.0.0
servers:
  - url: https://api.plurex.io
    description: Production server
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /api/v1/hosts/query/GetMarketLeverage:
    post:
      tags:
        - Hosts
      summary: Get current leverage for a specific market
      operationId: getMarketLeverage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMarketLeverageQuery'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseSuccessResponseEnvelope'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/Leverage'
components:
  schemas:
    GetMarketLeverageQuery:
      type: object
      required:
        - accountId
        - instrument
      properties:
        accountId:
          type: string
        instrument:
          $ref: '#/components/schemas/Instrument'
    BaseSuccessResponseEnvelope:
      allOf:
        - $ref: '#/components/schemas/BaseResponse'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The actual payload of the successful response.
    Leverage:
      type: object
      required:
        - leverage
      properties:
        leverage:
          type: number
          format: double
    Instrument:
      type: object
      properties:
        base:
          type: string
        quote:
          type: string
        marketType:
          type: string
    BaseResponse:
      type: object
      required:
        - traceId
        - serverTime
      properties:
        traceId:
          type: string
          format: uuid
          description: Unique identifier for tracing.
        serverTime:
          type: string
          format: date-time
          description: RFC3339 timestamp of processing.
        warnings:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    ApiSecretAuth:
      type: apiKey
      in: header
      name: X-API-SECRET

````